Subject: Re: bug#6115: 64 bit windows environment variables

From: Stefan Monnier <[email-masked]>
Date: Thu, 06 May 2010 09:16:28 -0400

>> From the MS Windows 64 bit CMD window I get
> c:\>echo %ProgramFiles(x86)%
> C:\Program Files (x86)
> c:\>echo %ProgramFiles%
> C:\Program Files
[...]
> GNU Emacs 23.1.97.1 (i386-mingw-nt6.1.7600) of 2010-05-04 on G41R2F1
> I get
> (getenv "ProgramFiles(x86)")
> "C:\\Program Files (x86)"
> (getenv "ProgramFiles")
> "C:\\Program Files (x86)"
[...]
> In Emacs, both the "ProgramFiles*" environment variables give the same
> result.  I don't think that should be correct behavior.

I know close to nothing about Windows, but I expect this has nothing to
do with Emacs itself but instead it's a feature of the OS, where
%ProgramFiles% returns "C:\Program Files" when running a 64bit program
and "C:\Program Files (x86)" when running a 32bit program (and
apparently your Emacs was compiled as a 32bit program).

        Stefan